Hooks:PostHook( BlackMarketTweakData, "_init_melee_weapons", "wert_melee", function(self)
	local melee_blacklist = { 
		["bm_melee_cqc"] = true,
		["bm_melee_zeus"] = true,
		["bm_melee_taser"] = true,
		["bm_melee_fear"] = true
	}
	
	self.melee_weapons.gerber.expire_t = 0.7				-- Berger Combat Knife
	self.melee_weapons.rambo.expire_t = 0.7					-- Trautman Knife
	
	-- Fists
	self.melee_weapons.fists.expire_t = 0.75				-- Fists
	self.melee_weapons.tiger.expire_t = 0.75				-- Talons
	self.melee_weapons.brass_knuckles.expire_t = 0.75		-- 350K Brass Knuckles
	self.melee_weapons.push.expire_t = 0.75					-- Push Daggers
	self.melee_weapons.zeus.expire_t = 0.75					-- Electrical Brass Knuckles
	self.melee_weapons.boxing_gloves.expire_t = 0.75		-- OVERKILL Boxing Gloves
	
	-- Shivs
	self.melee_weapons.toothbrush.expire_t = 0.8			-- Nova's Shank
	self.melee_weapons.cqc.expire_t = 0.8					-- Kunai Knife
	self.melee_weapons.fork.expire_t = 0.8					-- The Motherforker
	self.melee_weapons.fairbair.expire_t = 0.8				-- Trench Knife
	self.melee_weapons.sword.expire_t = 0.8					-- The Pen
	self.melee_weapons.switchblade.expire_t = 0.8			-- Swotchblade (not a typo i swear)
	
	-- Bats
	self.melee_weapons.barbedwire.expire_t = 1				-- Lucille Baseball Bat
	self.melee_weapons.baseballbat.expire_t = 1				-- Baseball Bat
	self.melee_weapons.stick.expire_t = 1					-- Shepherd's Cane
	
	-- Knives
	self.melee_weapons.kabartanto.expire_t = 1.1			-- URSA Tanto Knife
	self.melee_weapons.kabar.expire_t = 1.1					-- URSA Knife
	self.melee_weapons.kampfmesser.expire_t = 1.1			-- Krieger Blade
	
	-- Duals
	self.melee_weapons.ballistic.expire_t = 0.7				-- Specialist Knives
	self.melee_weapons.twins.expire_t = 0.7					-- Okinawan Style Sai
	
	-- Hammers
	self.melee_weapons.shovel.expire_t = 0.42				-- K.L.A.S. Shovel
	self.melee_weapons.shovel.stats.min_damage = 3
	self.melee_weapons.shovel.stats.max_damage = 9
	self.melee_weapons.shock.expire_t = 0.42				-- Monkey Wrench
	self.melee_weapons.morning.expire_t = 0.42				-- Morning Star
	self.melee_weapons.bullseye.expire_t = 0.42				-- Compact Hatchet
	self.melee_weapons.model24.expire_t = 0.42				-- Potato Masher
	self.melee_weapons.swagger.expire_t = 0.42				-- Swagger Stick
	self.melee_weapons.shillelagh.expire_t = 0.42			-- Clover's Shillelagh
	self.melee_weapons.meat_cleaver.expire_t = 0.42			-- Dragan's Cleaver Knife
	self.melee_weapons.hammer.expire_t = 0.42				-- Carpenter's Delight
	self.melee_weapons.spatula.expire_t = 0.42				-- Spatula
	self.melee_weapons.tenderizer.expire_t = 0.42			-- Tenderizer
	self.melee_weapons.branding_iron.expire_t = 0.42		-- You're Mine
	self.melee_weapons.detector.expire_t = 0.42				-- Metal Detector
	self.melee_weapons.microphone.expire_t = 0.42			-- Microphone
	self.melee_weapons.micstand.expire_t = 0.42				-- Microphone Stand
	self.melee_weapons.oldbaton.expire_t = 0.42				-- Classic Baton
	self.melee_weapons.croupier_rake.expire_t = 0.42		-- Croupier's Rake
	self.melee_weapons.hockey.expire_t = 0.42				-- Hockey Stick
	if self.melee_weapons.nepalesekukri then
	self.melee_weapons.nepalesekukri.expire_t = 0.42		-- Nepalese Kukri
	end
	
	self.melee_weapons.whiskey.expire_t = 0.42				-- Rivertown Glen Bottle
	
	self.melee_weapons.happy.expire_t = 0.5					-- Hackaton
	
	self.melee_weapons.alien_maul.stats.min_damage = 7		-- Alpha Mauler
	self.melee_weapons.alien_maul.stats.max_damage = 45
	
	self.melee_weapons.chef.expire_t = 0.7					-- Psycho Knife
	self.melee_weapons.shawn.expire_t = 0.7					-- Shawn's Shears
	self.melee_weapons.aziz.expire_t = 0.7					-- Tactical Flashlight
	
	self.melee_weapons.fight.expire_t = 0.9					-- Empty Palm Kata
	
	self.melee_weapons.fear.expire_t = 0.6					-- Stainless Steel Syringe

	self.melee_weapons.ostry.expire_t = 0.5					-- Kazaguruma
	
	self.melee_weapons.road.expire_t = 0.9					-- Chain Whip
	
	self.melee_weapons.moneybundle.expire_t = 0.45			-- Money Bundle
	
	self.melee_weapons.pitchfork.expire_t = 0.85			-- Pitchfork
	
	self.melee_weapons.freedom.expire_t = 0.9				-- The Spear of Freedom

	self.melee_weapons.grip.expire_t = 0.6					-- Knuckles Daggers
	
	self.melee_weapons.agave.expire_t = 0.55				-- El Verdugo
	
	self.melee_weapons.fireaxe.expire_t = 1.4				-- Fire Axe
	
	self.melee_weapons.cs.expire_t = 1.05					-- Lumber Lite L2
	
	self.melee_weapons.wing.expire_t = 0.6					-- Wing
	
	self.melee_weapons.sandsteel.expire_t = 0.85			-- Shinsakuto Katana

	for _, weapon in pairs(self.melee_weapons) do
		if weapon.stats and not melee_blacklist[weapon.name_id] then
			weapon.stats.min_damage = weapon.stats.min_damage * 3
			weapon.stats.max_damage = weapon.stats.max_damage * 3
		end
	end
		
	if self.melee_weapons.knuckleduster then
		self.melee_weapons.knuckleduster.expire_t = 0.75	-- German Knuckledusters
		self.melee_weapons.raidknife.expire_t = 1.1			-- M3 Combat Knife
		self.melee_weapons.admiralknife.expire_t = 1.1		-- Admiral's Knife
		self.melee_weapons.sledge.expire_t = 0.85			-- Sledgehammer
	end
end )