function NewRaycastWeaponBase:_get_spread(user_unit)
	local current_state = user_unit:movement()._current_state

	if not current_state then
		return 0, 0
	end

	local spread_values = self:weapon_tweak_data().spread

	if not spread_values then
		return 0, 0
	end

	local current_spread_value = spread_values[current_state:get_movement_state()]
	local spread_x, spread_y = nil

	if type(current_spread_value) == "number" then
		spread_x = self:_get_spread_from_number(user_unit, current_state, current_spread_value)
		spread_y = spread_x
	else
		spread_x, spread_y = self:_get_spread_from_table(user_unit, current_state, current_spread_value)
	end

	if current_state:in_steelsight() then
		local low_ads_bonus = { ["minigun"] = true, ["lmg"] = true, ["akimbo"] = true, ["shotgun"] = true }
		for _, category in pairs(self:weapon_tweak_data().categories) do
			if not low_ads_bonus[category] then
				spread_x = spread_x * 0.66
				spread_y = spread_y * 0.66
			else
				spread_x = spread_x * 0.87
				spread_y = spread_y * 0.87
			end
		end
	end

	if self._spread_multiplier then
		spread_x = spread_x * self._spread_multiplier[1]
		spread_y = spread_y * self._spread_multiplier[2]
	end

	
	return spread_x, spread_y
end